package com.zkqy.system.entity.vo;
import com.zkqy.common.annotation.Excel;
import com.zkqy.common.core.domain.BaseEntity;

import java.io.Serializable;
import java.util.List;

/**
 * @author hmc
 * @date 2023-11-03 15:55
 * @Description:
 */
public class DragTableGroupVo extends BaseEntity  implements Serializable {

    /** 主键 */
    private Long id;
    /** 表格组名称 */
    private String groupName;

    /** 表格组描述 */
    private String groupDescription;

    /** 存放表格联动信息 [{tablekey:kh123,顺序:1},{tablekey:kh123,顺序:2}] */
    private String groupTableInfo;

    /**
     * 动态表格key
     */
    private  String groupKey;

    /** 表格组类型 */
    @Excel(name = "表格组key")
    private String groupType;


    /**模板类型*/
    @Excel(name = "表格组key")
    private String templateType;

    //动态表格实体类集合
    public List<DragTableVo> dragTables;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getGroupDescription() {
        return groupDescription;
    }

    public void setGroupDescription(String groupDescription) {
        this.groupDescription = groupDescription;
    }

    public String getGroupTableInfo() {
        return groupTableInfo;
    }

    public void setGroupTableInfo(String groupTableInfo) {
        this.groupTableInfo = groupTableInfo;
    }

    public List<DragTableVo> getDragTables() {
        return dragTables;
    }

    public void setDragTables(List<DragTableVo> dragTables) {
        this.dragTables = dragTables;
    }

    public String getGroupKey() {
        return groupKey;
    }

    public void setGroupKey(String groupKey) {
        this.groupKey = groupKey;
    }

    public String getGroupType() {
        return groupType;
    }

    public void setGroupType(String groupType) {
        this.groupType = groupType;
    }

    public String getTemplateType() {
        return templateType;
    }

    public void setTemplateType(String templateType) {
        this.templateType = templateType;
    }
    @Override
    public String toString() {
        return "DragTableGroupVo{" +
                "id=" + id +
                ", groupName='" + groupName + '\'' +
                ", groupDescription='" + groupDescription + '\'' +
                ", groupTableInfo='" + groupTableInfo + '\'' +
                ", dragTables=" + dragTables +
                "} " + super.toString();
    }
}
